import { useState } from 'react'
import { Outlet } from 'react-router-dom';
import { CurrentUserContext } from './contexts/CurrentUserContext';
import Header from './components/header/header';
import Footer from './components/footer/footer';
import { PropTypes } from 'prop-types';


const App = ({ routes }) => {
  const [currentUser, setCurrentUser] = useState(null);
  return (
    <>
      <CurrentUserContext.Provider value={{
        currentUser,
        setCurrentUser,
      }}>
        <Header routes={routes}></Header>
        <main className='d-flex flex-column position-relative flex-fill'>
          <Outlet />
        </main>
        <Footer></Footer>
      </CurrentUserContext.Provider>
    </>
  );
};

App.propTypes = {
  routes: PropTypes.array,
};

export default App
