import { PropTypes } from "prop-types";
import { Trash } from "react-bootstrap-icons";
import { Link } from "react-router-dom";

const StatementTableRow = ({ statement, onDelete }) => {
    return (
        <tr>
            <th scope='row'>{statement.id}</th>
            <td>{statement.subject.name}</td>
            <td>{statement.group.name}</td>
            <td>{statement.controltype.name}</td>
            <td>{new Date(statement.date).toLocaleDateString('ru')}</td>
            <td><Link><Trash fill="red" onClick={() => { onDelete(statement.id); }} /></Link></td>
        </tr>
    );
};

StatementTableRow.propTypes = {
    statement: PropTypes.object,
    onDelete: PropTypes.func
};

export default StatementTableRow;