import { useEffect, useState } from "react";
import ControlTypesApiService from "../services/CotrolTypesApiService";

export const useControlTypes = () => {
    const [controlTypesRefresh, setControlTypesRefresh] = useState(false);
    const [controlTypes, setControlTypes] = useState([]);
    const handleControlTypesChange = () =>
        setControlTypesRefresh(!controlTypesRefresh);

    const getControlTypes = async () => {
        const data = await ControlTypesApiService.getAll();
        setControlTypes(data ?? []);
    };

    useEffect(() => {
        getControlTypes();
    }, [controlTypesRefresh]);

    return {
        controlTypes,
        handleControlTypesChange,
    };
};
