import { useSearchParams } from "react-router-dom";
import { useState } from "react";

const useQueryParamFilter = (queryParamName) => {
    const [filterValue, setFilterValue] = useState(null);
    const [searchParams, setSearchParams] = useSearchParams();

    const onFilterChange = (event) => {
        let targetValue = event.target.value;
        try {
            targetValue = parseInt(targetValue);
        } catch (e) {
            targetValue = null;
        }

        if (targetValue) {
            searchParams.set(queryParamName, event.target.value);
        } else {
            searchParams.delete(queryParamName);
        }
        setSearchParams(searchParams);
    };

    return {
        filterValue: searchParams.get(queryParamName) || null,
        onFilterChange,
    };
};

export default useQueryParamFilter;
