import { useEffect, useState } from "react";
import GroupsApiService from "../services/GroupsApiService";

export const useGroups = () => {
    const [groupsRefresh, setGroupsRefresh] = useState(false);
    const [groups, setGroups] = useState([]);
    const handleGroupsChange = () => setGroupsRefresh(!groupsRefresh);

    const getGroups = async () => {
        const data = await GroupsApiService.getAll();
        setGroups(data ?? []);
    };

    useEffect(() => {
        getGroups();
    }, [groupsRefresh]);

    return {
        groups,
        handleGroupsChange,
    };
};
