import { useEffect, useState } from "react";
import StatementsApiService from "../services/StatementsApiService";

export const useStatements = (filters) => {
    const [statementsRefresh, setStatementsRefresh] = useState(false);
    const [statements, setStatements] = useState([]);
    const handleStatementsChange = () =>
        setStatementsRefresh(!statementsRefresh);

    const getStatements = async () => {
        let expand = `?_expand=group&_expand=controltype&_expand=subject&_sort=date&_order=desc`;
        if (Object.keys(filters).length !== 0) {
            for (let index = 0; index < Object.keys(filters).length; index++) {
                const key = Object.keys(filters)[index];
                const v = filters[key];
                if (v) {
                    expand += `&${key}=${v}`;
                }
            }
        }
        const data = await StatementsApiService.getAll(expand);
        setStatements(data ?? []);
    };

    useEffect(() => {
        getStatements();
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [statementsRefresh]);

    return {
        statements,
        handleStatementsChange,
    };
};
