import { useEffect, useState } from "react";
import SubjectsApiService from "../services/SubjectsApiService";

export const useSubjects = (filters = null) => {
    const [subjectsRefresh, setSubjectsRefresh] = useState(false);
    const [subjects, setSubjects] = useState([]);
    const handleSubjectsChange = () => setSubjectsRefresh(!subjectsRefresh);

    const getSubjects = async () => {
        let expand = "";
        if (filters && Object.keys(filters).length !== 0) {
            for (let index = 0; index < Object.keys(filters).length; index++) {
                const key = Object.keys(filters)[index];
                const v = filters[key];
                if (v) {
                    expand += `&${key}=${v}`;
                }
            }
        }
        const data = await SubjectsApiService.getAll(expand);
        setSubjects(data ?? []);
    };

    useEffect(() => {
        getSubjects();
    }, [subjectsRefresh]);

    return {
        subjects,
        handleSubjectsChange,
    };
};
