import { Container } from "react-bootstrap";
import { useGroups } from "../../hooks/GroupHook";
import { useOnlyTeachers } from "../../hooks/UserHooks";
import GroupTableRow from "../../components/grouptablerow/grouptablerow";
Container

const GroupsPage = () => {
    useOnlyTeachers();
    const { groups, handleGroupsChange } = useGroups();

    return (
        <>
            <Container>
                <table className="table">
                    <thead>
                        <tr>
                            <th scope="col">ID</th>
                            <th scope="col">Название</th>
                        </tr>
                    </thead>
                    <tbody>
                        {
                            groups.map((group, index) => <GroupTableRow key={index} group={group} />)
                        }
                    </tbody>
                </table>
            </Container>
        </>
    );
};

export default GroupsPage
