import StudentTableRow from "../../components/studenttablerow/studenttablerow";
import { useOnlyTeachers, useStudents } from "../../hooks/UserHooks";
import { Container } from "react-bootstrap";
import { useGroups } from "../../hooks/GroupHook";
import useQueryParamFilter from "../../hooks/FilterHook";

const StudentsPage = () => {
    useOnlyTeachers();
    const { filterValue: groupFilter, onFilterChange: onGroupChange } = useQueryParamFilter("groupId");
    const { groups, handleGroupsChange } = useGroups();
    const { students, handleStudentsChange } = useStudents({
        'groupId': groupFilter
    });

    return (
        <>
            <Container>
                <select name="groupId" id="groupId" className="me-none me-md-2 mb-2 mb-md-0" onChange={(e) => { onGroupChange(e); handleStudentsChange(); }}>
                    <option value={null}>Выберите группу</option>
                    {
                        groups.map((group, index) => <option key={index} value={group.id}>{group.name}</option>)
                    }
                </select>
                <table className="table">
                    <thead>
                        <tr>
                            <th scope="col">ID</th>
                            <th scope="col">Фамилия Имя</th>
                            <th scope="col">Группа</th>
                        </tr>
                    </thead>
                    <tbody>
                        {
                            students.map((student, index) => <StudentTableRow key={index} student={student} />)
                        }
                    </tbody>
                </table>
            </Container>
        </>
    );
};

export default StudentsPage;