import { useSubjects } from "../../hooks/SubjectsHook";
import { useOnlyTeachers } from "../../hooks/UserHooks";
import { Container } from "react-bootstrap";
import SubjectTableRow from "../../components/subjecttablerow/subjecttablerow";

const SubjectsPage = () => {
    useOnlyTeachers();
    const { subjects, handleSubjectsChange } = useSubjects();

    return (
        <>
            <Container>
                <table className="table">
                    <thead>
                        <tr>
                            <th scope="col">ID</th>
                            <th scope="col">Название</th>
                        </tr>
                    </thead>
                    <tbody>
                        {
                            subjects.map((subject, index) => <SubjectTableRow key={index} subject={subject} />)
                        }
                    </tbody>
                </table>
            </Container>
        </>
    );
};

export default SubjectsPage
